Summary:	Virtual machine simulator based on a MIPS R3000 processor
Summary(pl.UTF-8):	Symulator maszyny wirtualnej opartej na procesorze MIPS R3000
Name:		vmips
Version:	1.5.1
Release:	1
License:	GPL v2+
Group:		Applications/Emulators
Source0:	https://vmips.sourceforge.net/releases/%{name}-%{version}/vmips-%{version}.tar.gz
# Source0-md5:	6bca35762ff282418e9224ebf7d93583
Patch0:		%{name}-am.patch
Patch1:		%{name}-info.patch
URL:		https://vmips.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vmips is a virtual machine simulator based around a MIPS R3000 RISC
CPU core. It is an open-source project written in GNU C++ and which is
distributed under the GNU General Public License.

%description -l pl.UTF-8
Vmips to symulator maszyny wirtualnej opartej na rdzeniu procesora
RISC MIPS R3000. Jest to projekt z otwartymi źródłami napisany w GNU
C++ i jest rozpowszechniany na licencji GNU GPL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# don't try to rebuild man pages,
# upstream does not provide necessary script
touch doc/*.1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/vmips
%attr(755,root,root) %{_bindir}/vmipstool
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vmipsrc
%{_includedir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/vmips.1*
%{_mandir}/man1/vmipstool.1*
%{_infodir}/vmips.info*
%changelog
* Sat Dec 30 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vmips.git;a=log;h=master

* Sat Dec 30 2023 Jakub Bogusz <qboosh@pld-linux.org> 51c239a
- updated to 1.5.1

* Mon Feb 19 2018 Jan Rękorajski <baggins@pld-linux.org> 04236db
- removed obsolete patches

* Thu Aug 06 2015 Jan Rękorajski <baggins@pld-linux.org> ed7614d
- update patches

* Thu Aug 06 2015 Jan Rękorajski <baggins@pld-linux.org> 27de4dc
- up to 1.5
- skip rebuilding man pages

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> cadae06
- missing fix-info-dir

* Wed May 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 8c677ff
- updated to 1.4.1
- updated am patch
- removed gcc patch

* Sun Jan 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 98f5177
- added doc patch (build only man and info, no html or pdf (not packaged anyway)
- added format patch (fixes build with -Werror=format-security)

* Sun Jan 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 0dc158c
- updated to 1.4
- added am patch (fixes build with automake 1.13)
- added gcc patch (missing header required by recent gcc/glibc)
- added info patch (unify direntry)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 89f38d4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8974676
- converted to UTF-8

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> c2f2b57
- adapterized (sorted %verify attrs)

* Mon Jan 10 2005 Adam Gołębiowski <adamg@pld-linux.org> fd756ca
- updated to 1.3.1 (I don't have rom - can't test it)

* Fri Nov 26 2004 undefine <undefine@pld-linux.org> 75c1848
- rel 1

* Tue Oct 12 2004 undefine <undefine@pld-linux.org> 3732266
- more files

* Sun Oct 10 2004 paladine <paladine@pld-linux.org> 5897bf9
- updated to 1.3

* Tue Sep 14 2004 kolodko <kolodko@pld-linux.org> 974a702
- up to 1.2.2

* Mon Jul 26 2004 Jakub Bogusz <qboosh@pld-linux.org> 0b11f7f
- pl, cleanups

* Mon Jul 26 2004 adasi <adasi@pld-linux.org> e47d046
- initial PLD release, totally untested

